Retrieve inventory records.
Operations
getInventorySelectFields
POST
Retrieves the inventory with selected fields.
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
InventoryGlobalSequenceDatestring · dateoptionalInventoryGlobalSequenceintegeroptionalLoading fields…
Path Parameters
symstringrequired- Sym number
Responses
Loading fields…
POST
/nexum/{sym}/persistent/inventory/getInventorySelectFieldsPOST /nexum/627/persistent/inventory/getInventorySelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"InventoryGlobalSequenceDate": "string",
"InventoryGlobalSequence": 0,
"SelectableFields": {
"IncludeAllInventoryFields": true,
"InventoryFields": {
"AccountNumber": true,
"ActualFeeAmount": true,
"ActualSaleAmount": true,
"Branch": true,
"City": true,
"Cost": true,
"ExtraAddress": true,
"FaceValue": true,
"GlobalSequence": true,
"GlobalSequenceDate": true,
"Id": true,
"IdType": true,
"InStockDate": true,
"LocationCode": true,
"Name": true,
"Price": true,
"Quantity": true,
"RecordChangeDate": true,
"SaleRentalDate": true,
"SbAcqAccount": true
}
},
"nxAttributes": {
"customFields": {}
}
}